/* Make an horizontal grid composed of columns */
columns {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;

    flex-grow: 0;
    flex-shrink: 1;
    flex-basis: 1;
}
@media screen (min-width: var(--size-container)) {
    
}

/* each column item (children from columns)
   should expand horizontally as much as it can
   and as much as it is allowed */
columns > * {
    flex: 1;
}

columns > img {
    margin-left: 1rem;
    margin-right: 1rem;
}

columns[one] {}
columns[two] > * {}
columns[three] > * {}
columns[four] {}

/* make the childrens of columns align themself 
   horizontally on one side or an other */
columns[left] {
    justify-content: flex-start;
}
columns[right] {
    justify-content: flex-end;
}
